> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get zone UI Treatment field values

> Lists all of the values used in the UI Treatment fields of zones.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-templating.json get /zones/uiTreatments
openapi: 3.0.1
info:
  title: Fusion Templating API
  description: >-
    This API lets you perform create, read, update, and delete (CRUD) operations
    on templates and zones, and retrieve and render templates for particular
    navigation states.
  termsOfService: https://lucidworks.com/legal/developer-license-agreement/
  contact:
    name: Lucidworks
    url: https://lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION_HOST.com}/api/templating
    description: Fusion
    variables:
      FUSION_HOST.com:
        default: ''
security: []
tags:
  - name: page-metadata-controller
    description: Endpoints with this tag modify page metadata.
  - name: render-controller
    description: >-
      Endpoints with this tag use the GET and POST operations to retrieve,
      render, create, read, update, and delete Fusion application templates that
      are published or in staging (unpublished).
  - name: template-settings-controller
    description: >-
      Endpoints with this tag use the GET, POST, PUT, and DELETE operations to
      create, read, update, and delete configuration information for the Fusion
      Templating service.
  - name: templates-controller
    description: >-
      Endpoints with this tag use the GET, POST, PUT, and DELETE operations to
      create, read, update, and delete Fusion application template information.
  - name: trigger-controller
    description: >-
      Endpoints with this tag use the GET and POST operations to retrieve,
      create, read, and update the Fusion application templates that are
      published or in staging (unpublished) without rendering.
  - name: zones-controller
    description: >-
      Endpoints with this tag use the GET, POST, PUT, and DELETE operations to
      retrieve, create, read, update, and delete zone information (Fusion query
      profiles).
paths:
  /zones/uiTreatments:
    get:
      tags:
        - zones-controller
      summary: Get zone UI Treatment field values
      description: Lists all of the values used in the UI Treatment fields of zones.
      operationId: get-zones-uiTreatments
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    isUiTreatment:
                      type: boolean
                      x-stoplight:
                        id: itpq5qe3g9gk2
                      description: >-
                        This field specifies if UI Treatment fields have been
                        defined.
                      default: false
                    message:
                      type: string
                      x-stoplight:
                        id: 556v89edrqjvv
                      description: The response message.
                      example: >-
                        Text included in the response for this zone. If the user
                        interface (UI) is configured to use the zone, the text
                        in this field can be used to influence how the zone is
                        displayed or processed in the UI.
                    uiTreatment:
                      type: string
                      x-stoplight:
                        id: 9ig6ahyay39xb
                      description: >-
                        The name of the field that contains `uiTreatment` values
                        defined for the zone. 
                      example: uiTreatment field name
        '401':
          description: Unauthorized
          content: {}
        '403':
          description: Forbidden
          content: {}
        '404':
          description: Not Found
          content: {}

````